Page MenuHomeFreeBSD

elfutils: Update to latest 0.179
ClosedPublic

Authored by cem on Apr 29 2020, 6:03 AM.

Details

Summary

Bump portrevision in kcov, which depends on elfutils ABI.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cem created this revision.Apr 29 2020, 6:03 AM
cem requested review of this revision.Apr 29 2020, 6:03 AM
asomers added inline comments.Apr 29 2020, 3:57 PM
devel/elfutils/Makefile
52 ↗(On Diff #71139)

Why are you reading from LOCALBASE ?

devel/elfutils/files/patch-libdw_dwarf__getsrclines.c
3 ↗(On Diff #71139)

You probably don't need to regenerate this patch file, just to change the line numbers.

devel/elfutils/pkg-plist
43 ↗(On Diff #71139)

Shouldn't there be a %%MANPAGES%% here?

cem marked an inline comment as done.Apr 29 2020, 4:38 PM
cem added inline comments.
devel/elfutils/Makefile
52 ↗(On Diff #71139)

The port depends on files installed by gnulib. Is there a more canonical location to reference a dependency’s files?

devel/elfutils/files/patch-libdw_dwarf__getsrclines.c
3 ↗(On Diff #71139)

This is just what ‘make makepatch’ did.

devel/elfutils/pkg-plist
43 ↗(On Diff #71139)

I don’t know. Should there?

asomers added inline comments.Apr 29 2020, 7:29 PM
devel/elfutils/Makefile
52 ↗(On Diff #71139)

Ok, I understand now. gnulib is weird because it installs .c files. I'll do some grepping to see if I can find any other similar ports.

devel/elfutils/pkg-plist
43 ↗(On Diff #71139)

Yes, there should be. And there should be a MANPAGES option that defaults to on.

asomers added inline comments.Apr 29 2020, 9:06 PM
devel/elfutils/Makefile
52 ↗(On Diff #71139)

The best example I can find of a port in a similar state is devel/git-merge-changelog. Would its technique be appropriate here?

cem marked an inline comment as done.Apr 30 2020, 3:24 PM

Thanks for looking at this, Alan.

devel/elfutils/Makefile
52 ↗(On Diff #71139)

gnulib's behavior is functionally somewhat similar to installing a static library + headers, except of course consumers have to build the installed sources themselves.

(I am not sure why the gnulib port does not provide a precompiled static archive, honestly. There's no reason not to and it would make consumer ports more straightforward. If gnulib were an ordinary library, wouldn't we be linking against it in LOCALBASE as well?)

The devel/git-merge-changelog approach doesn't look too different from this, aside from invoking gnulib-tool, which does who-knows-what. In elfutils, we know which files we want to build and just cp them directly. I'm not seeing any obvious improvement, but I am probably missing something.

devel/elfutils/pkg-plist
43 ↗(On Diff #71139)

Ok. I will look for examples to borrow. Thanks!

cem updated this revision to Diff 71191.Apr 30 2020, 3:30 PM
cem marked 5 inline comments as done.

Add MANPAGES option and plist directives

asomers accepted this revision.Apr 30 2020, 3:48 PM

In that case it LGTM. Note however that I am not a ports committer, so I can't give you approval to commit.

This revision is now accepted and ready to land.Apr 30 2020, 3:48 PM
cem added a comment.EditedApr 30 2020, 4:39 PM

Ah, I thought you were a ports committer because you have many ports commits (e.g., r532045, r527149, r526945, r518780) without "Approved by." @jrm, any chance you can approve?

A former ports committer (brd) gave me blanket approval to commit to a few
ports. Maybe it's cheating, but I'm still technically not a ports
committer.
-Alan

jrm added a comment.Apr 30 2020, 5:05 PM

I see a failure at the configure stage. ./configure: 8857: Syntax error: word unexpected (expecting ")").

http://pkg.awarnach.mathstat.dal.ca/data/12amd64-default/2020-04-30_13h58m54s/logs/errors/elfutils-0.179.log

cem added a comment.Apr 30 2020, 6:27 PM
In D24614#542303, @jrm wrote:

I see a failure at the configure stage. ./configure: 8857: Syntax error: word unexpected (expecting ")").

http://pkg.awarnach.mathstat.dal.ca/data/12amd64-default/2020-04-30_13h58m54s/logs/errors/elfutils-0.179.log

That's odd. Configure is just generated shell script from the autoconf toolset — it should be super portable.

mat added inline comments.Apr 30 2020, 7:47 PM
devel/elfutils/Makefile
51–55 ↗(On Diff #71191)

Is there a special reason this is done in pre-patch and not pre-configure, it does not seems that it has anything to do with patching.

When this ends up in pre-configure, the PATCH_DEPENDS can be changed to a BUILD_DEPENDS and the port will stop being strange,

jrm added a comment.Apr 30 2020, 8:10 PM
In D24614#542369, @cem wrote:
In D24614#542303, @jrm wrote:

I see a failure at the configure stage. ./configure: 8857: Syntax error: word unexpected (expecting ")").

http://pkg.awarnach.mathstat.dal.ca/data/12amd64-default/2020-04-30_13h58m54s/logs/errors/elfutils-0.179.log

That's odd. Configure is just generated shell script from the autoconf toolset — it should be super portable.

This is what line 8857 looks like. PKG_CHECK_MODULES(libmicrohttpd,libmicrohttpd >= 0.9.33,,enable_debuginfod=no)

devel/elfutils/Makefile
31–32 ↗(On Diff #71191)

If this really is always required, should it just be USES=NLS?

cem added inline comments.Apr 30 2020, 9:14 PM
devel/elfutils/Makefile
31–32 ↗(On Diff #71191)

I don't know. amdmi3 added that in r473054.

51–55 ↗(On Diff #71191)

No reason; pre-configure would be perfectly fine.

BUILD_DEPENDS sounds right to me, thanks!

cem added a comment.Apr 30 2020, 9:20 PM
In D24614#542397, @jrm wrote:

This is what line 8857 looks like. PKG_CHECK_MODULES(libmicrohttpd,libmicrohttpd >= 0.9.33,,enable_debuginfod=no)

That looks like configure.ac m4 rather than generated configure shell to me. On my system configure does not have anything like that line, but does have a much more verbose 20-30 lines where it looks for that library and version, sometimes with pkgconf.

cem updated this revision to Diff 71210.Apr 30 2020, 9:24 PM
cem marked an inline comment as done.
  • Use pre-configure instead of post-patch
  • Use BUILD_DEPEND instead of PATCH_DEPEND

Thanks, mat

This revision now requires review to proceed.Apr 30 2020, 9:24 PM
cem added a comment.May 3 2020, 5:06 PM

Any other suggestions or can we update this port to the current upstream version? Thanks!

jrm added a comment.May 3 2020, 7:47 PM

The configure error, which occurs in a clean poudriere jail, needs to be resolved. If it's happening in poudriere, there is almost certainly going to be package building fallout.

http://pkg.awarnach.mathstat.dal.ca/data/12amd64-default/2020-05-03_16h35m29s/logs/errors/elfutils-0.179.log

cem added a comment.May 6 2020, 3:02 AM
In D24614#543314, @jrm wrote:

The configure error, which occurs in a clean poudriere jail, needs to be resolved. If it's happening in poudriere, there is almost certainly going to be package building fallout.

Hm, right. I have an idea, one moment.

cem updated this revision to Diff 71443.May 6 2020, 3:06 AM
  • Add missing builddep on devel/pkgconf aclocal/pkg.m4
jrm added inline comments.May 6 2020, 3:24 AM
devel/elfutils/Makefile
24 ↗(On Diff #71443)

Remove and see USES comment below.

29 ↗(On Diff #71443)

TAB after =

36 ↗(On Diff #71443)

USES= autoreconf gmake libtool pkgconfig tar:bzip2

cem updated this revision to Diff 71448.May 6 2020, 5:39 AM
cem marked 3 inline comments as done.
  • Replace DEPEND with USES
  • Tab after =
  • Don't attempt to build on 11
jrm accepted this revision.May 6 2020, 11:16 AM

Thanks.

If you are feeling motivated for a subsequent commit, you could silence some of the warnings from portclippy, portfmt, and portlint.

This revision is now accepted and ready to land.May 6 2020, 11:16 AM
This revision was automatically updated to reflect the committed changes.